#include "videopreview.h"

#include <QResizeEvent>

#include "global/global.h"
#include "global/functions.h"

VideoPreview::VideoPreview(QWidget *parent) :
    QDialog(parent)
{
    m_dock = new QWidget(this);

    kdk::UkuiStyleHelper::self()->removeHeader(this);

    connect(this, SIGNAL(fileChanged()), SLOT(displayNoFrame()));

    m_timeLab = new QLabel(m_dock);
    m_timeLab->setStyleSheet("background-color:qlineargradient(spread:pad, x1:0, y1:0, x2:0, y2:1, stop:0 rgba(255, 255, 255, 0), stop:1 rgba(19, 19, 20, 200));color:rgb(222,222,222)");
    m_timeLab->setFixedHeight(25);
    QFont f("Noto Sans CJK SC Regular");
    f.setPixelSize(16);
    m_timeLab->setFont(f);
    m_timeLab->setAlignment(Qt::AlignCenter);

    m_dock->setStyleSheet("border-radius:8px;");
}

void VideoPreview::setFile(QString &file)
{
    if (file == m_file)
        return;
    m_file = file;
}

void VideoPreview::setTime(qint64 msec)
{
    QString time_str = Functions::timeToStr((double)msec/1000);
    m_timeLab->setText(time_str);
}

void VideoPreview::display()
{

}


void VideoPreview::displayNoFrame()
{
}

void VideoPreview::resizeEvent(QResizeEvent *e)
{
    Q_UNUSED(e);
    m_dock->setGeometry(QRect(QPoint(0, 0), e->size()));

    m_timeLab->setGeometry(QRect(QPoint(0, height()-25), QSize(width(), 25)));
    m_timeLab->raise();
}
